Bug 5343 - ldconfig ignores symlinks
ldconfig ignores symlinks
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ldconfig (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-23 23:50 EDT by Chris Seawood
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-05 02:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Seawood 1999-09-23 23:50:11 EDT
IBM's DB2 installs it's libraries in /usr/IBMdb2/V6.1/lib
and makes a symlink to /usr/local/lib for libdb2.so.1.
`ldconfig -v` does not show this library and /usr/local/lib
is in /etc/ld.so.conf.  If I copy the library to
/usr/local/lib instead of making the symlink, then it shows
up in `ldconfig -v` listing.  I've noticed the same thing
happening when building Mozilla (which "installs" files as
symlinks by default).
Comment 1 Cristian Gafton 1999-10-05 02:25:59 EDT
That's how ldconfig is supposed to work.

Note You need to log in before you can comment on or make changes to this bug.